import java.util.ArrayList;
/**
 * Write a description of class LockedRoom here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class SerpentRoom extends Room
{
    // instance variables - replace the example below with your own
    private boolean serpent_happy = false;

    /**
     * Constructor for objects of class DragonRoom
     */
    public SerpentRoom(String description)
    {
        super(description);
        //this.inventory = inventory;
        // initialise instance variables
    }


    /**
    */
    public Room respond(Command c, Player p) {
        ArrayList<Item> inventory = p.getInventory();
        String commandWord = c.getCommandWord();
        String object = c.getSecondWord();
        
        if (commandWord.equals("go")
            && !serpent_happy 
            && object != null 
            && object.equals("up")) {
                System.out.println("The way up is blocked by the giant serpent!");
                return null;
        }
        
        if (commandWord.equals("give")) {
            if (object.equals("cookie")) {      
                Item cookieItem = Item.findByName("cookie", inventory);
                if (cookieItem == null) {
                    System.out.println("Oops! You ended up down here without a cookie!");
                    return null;
                }
                // now we know we have the cookie
                System.out.println("The serpent gobbles up the cookie and slithers away");
                serpent_happy = true;
                setDescription("in a dark steam tunnel beneath campus");
                inventory.remove(cookieItem);
                addItem(new Item("key"));
                return null;
            } else if (object.equals("glowing_donut")) {
                Item donut = Item.findByName("glowing_donut", inventory);
                if (donut == null) {
                    System.out.println("You don't have the donut!");
                    return null;
                }
                // now we know we have the donut
                System.out.println("The serpent gobbles up the strangely-glowing donut."
                                + "\nIt is still for a moment, and then an eerie transfiguration begins."
                                + "\nThe serpent thrashes and shrinks, and turns into a little snake.");
                serpent_happy = true;
                setDescription("in a dark steam tunnel beneath campus");
                inventory.remove(donut);
                addItem(new Item("snake"));
                return null;
                
            }else {
                System.out.println("You can't give that!");
                return null;
            }
        } 
        
        if (commandWord.equals("take") && object.equals("serpent")) {
            System.out.println("the serpent is WAAAY too big to pick up");
            return null;
        } 
        
        return super.respond(c, p);
    }

}
